Subject: Re: [RFC/PATCH 2/3] gitweb: Support caching projects list

From: Jakub Narebski <[email-masked]>
Date: Mon, 17 Mar 2008 21:25:38 +0100

Dnia poniedziałek 17. marca 2008 20:10, Frank Lichtenheld napisał:
> On Mon, Mar 17, 2008 at 07:52:13PM +0100, Jakub Narebski wrote:
>> Dnia poniedziałek 17. marca 2008 17:54, Frank Lichtenheld napisał:
>> 
>>>At the very least you should:
>> [...]
>>>  - Check if the file is owned by the uid gitweb is running under and
>>>    not word-writable.
>> 
>> UID ($>) or PID ($$) should be equal to cache owner: stat($file)->uid?
> 
> I'm not sure what the PID has to do with anything here?
> But yeah, $> was what I meant.
> (Although I actually prefer to use POSIX::geteuid instead, since I can
> understand that faster).

Actually what I wanted to ask was UID ($<) vs EUID ($>), or appropriate
POSIX::get*uid functions.

-- 
Jakub Narebski
Poland